drop _all
macro drop _all
capture log close
set more 1
set memory 750m
set matsize 400


log using table3, replace text

*THIS FILE REPLICATES OP'S CES REGRESSIONS DROPPING THOSE ENROLLED AS DEFINED IN RESTRICTION.DO

use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums60.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork2==0 | hrswork2==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage*4.75

gen foreign=0
replace foreign=1 if bpl>100

#delimit ;
generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 48.5*(wkswork2==5) + 51*(wkswork2==6) ;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) + 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 44.5*(hrswork2==6) 
	+ 54*(hrswork2==7) + 70*(hrswork2==8) ;
#delimit cr

gen wage_w=wage_y/weeks

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=1960
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep1960.dta, replace

tabulate Expgroup Edugroup if year==1960, sum(empl_us) me noobs nofreq



use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums70.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork2==0 | hrswork2==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage*3.63

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

#delimit ;
generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 48.5*(wkswork2==5) + 51*(wkswork2==6) ;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) + 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 44.5*(hrswork2==6) 
	+ 54*(hrswork2==7) + 70*(hrswork2==8) ;
#delimit cr

gen wage_w=wage_y/weeks

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
gen school=higraded - (int(higraded/10))*10
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=1970
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep1970.dta, replace

tabulate Expgroup Edugroup if year==1970, sum(empl_us) me noobs nofreq




use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums80.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | hrswork1==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage*1.85

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen wage_w=wage_y/wkswork1
gen weeks=wkswork1
gen hours=uhrswork

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=1980
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep1980.dta, replace

tabulate Expgroup Edugroup if year==1980, sum(empl_us) me noobs nofreq



use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums90.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | hrswork1==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage*1.22

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen wage_w=wage_y/wkswork1
gen weeks=wkswork1
gen hours=uhrswork

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=1990
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep1990.dta, replace

tabulate Expgroup Edugroup if year==1990, sum(empl_us) me noobs nofreq






use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums00.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | uhrswork==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen wage_w=wage_y/wkswork1
gen weeks=wkswork1
gen hours=uhrswork

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

tabulate Expgroup Edugroup if foreign==0 [aw=perwt]
tabulate Expgroup Edugroup if foreign==0 [aw=perwt], sum(wage_w) me noobs nofreq
tabulate Expgroup Edugroup if foreign==0 [aw=perwt], sum(wage_y) me noobs nofreq

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=2000
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep2000.dta, replace

tabulate Expgroup Edugroup if year==2000, sum(empl_us) me noobs nofreq
tabulate Expgroup Edugroup if year==2000, sum(wage_w_us) me noobs nofreq
tabulate Expgroup Edugroup if year==2000, sum(wage_y_us) me noobs nofreq



use "C:\Istata\PUMS\GRGR\Peri\Ipums\acs04.dta", clear

generate survey=2000+year
keep if survey==2004

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | uhrswork==0  
drop if incwage==999999 | incwage==0  

gen wage_y=incwage*0.908
gen weeks=wkswork1
gen hours=uhrswork

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen wage_w=wage_y/wkswork1

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

**DEFINE SAMPLE RESTRICTIONS
do table3_restriction

keep perwt Expgroup Edugroup wage_y wage_w foreign
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

gen week_wagebill_us=wage_w*perwt*(1-foreign)
gen week_wagebill_for=wage_w*perwt*foreign

gen year_wagebill_us=wage_y*perwt*(1-foreign)
gen year_wagebill_for=wage_y*perwt*foreign

collapse (sum) perwt empl_us empl_for week_wagebill_us week_wagebill_for year_wagebill_us year_wagebill_for, by(Edugroup Expgroup)

gen wage_w_us=week_wagebill_us/empl_us
gen wage_w_for=week_wagebill_for/empl_for

gen wage_y_us=year_wagebill_us/empl_us
gen wage_y_for=year_wagebill_for/empl_for

gen year=2004
keep year Edugroup Expgroup empl_us empl_for wage_w_us wage_w_for wage_y_us wage_y_for

save rep2004.dta, replace

tabulate Expgroup Edugroup if year==2004, sum(empl_us) me noobs nofreq



*APPEND DATA TO FORM PANEL

use rep1960.dta, clear
append using rep1970.dta
append using rep1980.dta
append using rep1990.dta
append using rep2000.dta
append using rep2004.dta
save table3.dta, replace

#delimit;
use table3;
rename year survey;
rename Edugroup edcode;
rename Expgroup expcode;

rename empl_us native;
rename empl_for immig;
rename wage_y_us annual2n;
rename wage_y_for annual2i;
rename wage_w_us weekly2n;
rename wage_w_for weekly2i;

keep survey edcode expcode native imm annual2n annual2i weekly2n weekly2i;
*MERGE IN DATA ON TOTAL HOURS WORKED FOR MEN AND WOMEN;
sort survey edcode expcode;
merge survey edcode expcode using table3_count;
tab _merge; drop _merge;

generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

generate percent=immig/(immig+native);
generate employment=immig+native;

generate logrelweek2=log(weekly2i/weekly2n);
generate logrelann2=log(annual2i/annual2n);

generate lmrelquant=log(immig/native);
generate lmrelm=log(immigm/immigm);
generate lmrelf=log(immigf/immigf);
generate lmrelmf=log(immigm+immigf)-log(nativem+nativef);

*ROW 6 DESIGNATIONS:  DEFINE WHETHER USING COUNT OF WORKERS BY HOURS WORKED;
*replace lmrelquant=lmrelm;
*replace lmrelquant=lmrelf;
*replace lmrelquant=lmrelmf;

*A WEIGHTS USING EMPLOYMENT ;
quietly xi:reg logrelweek2 lmrelquant i.survey*i.edcode i.survey*i.expcode i.edcode*i.expcode [aw=employment] if survey<=2000 | survey==2004, cluster(code3);
	modl c nocon lmrel=lmrelquant, Weekly earnings aweights; 
quietly xi:reg logrelann2 lmrelquant i.survey*i.edcode i.survey*i.expcode i.edcode*i.expcode [aw=employment] if survey<=2000 | survey==2004, cluster(code3);
	modl d nocon lmrel=lmrelquant, Weekly earnings aweights; 
modltbl se (4) c d ;

*F WEIGHTS USING EMPLOYMENT;
replace employment=int(employment);
quietly xi:reg logrelweek2 lmrelquant i.survey*i.edcode i.survey*i.expcode i.edcode*i.expcode [fw=employment] if survey<=2000 | survey==2004, cluster(code3);
	modl a nocon lmrel=lmrelquant, Weekly earnings fweights;
quietly xi:reg logrelann2 lmrelquant i.survey*i.edcode i.survey*i.expcode i.edcode*i.expcode [fw=employment] if survey<=2000 | survey==2004, cluster(code3);
	modl b nocon lmrel=lmrelquant, Annual earnings fweights;
modltbl se (4) a b ;

log close;

for any 1960 1970 1980 1990 2000 2004 : erase repX.dta;
